Skip to main content

Workspaces

View as Markdown

Resource management for secure Databricks Workspace deployment, cross-account IAM roles, storage, encryption, networking and private access.

List Workspaces Public GA

GET /api/2.0/accounts/{account_id}/workspaces

Lists <Databricks> workspaces for an account.

API scopes: provisioning

Parameters

account_idstringpath

Response

workspacesarray of object
Show child attributesHide child attributes
workspace_idint64

A unique integer ID for the workspace

workspace_namestring

The human-readable name of the workspace.

Constraints: [ 1 .. 100 ] characters

aws_regionstring
AWS

The AWS region of the workspace data plane (for example, us-west-2).

creation_timeint64

Time in epoch milliseconds when the workspace was created.

deployment_namestring
AWS

The deployment name defines part of the subdomain for the workspace. The workspace URL for web application and REST APIs is <deployment-name>.cloud.databricks.com.

Constraints: <= 64 characters

workspace_statusstring

The status of a workspace

Values: NOT_PROVISIONED, PROVISIONING, RUNNING, FAILED, BANNED, CANCELLING

account_idstring

<Databricks> account ID.

credentials_idstring

ID of the workspace's credential configuration object.

storage_configuration_idstring

ID of the workspace's storage configuration object.

workspace_status_messagestring

Message describing the current workspace status.

network_idstringRequired

If this workspace is BYO VPC, then the network_id will be populated. If this workspace is not BYO VPC, then the network_id will be empty.

gcp_managed_network_configobjectRequired
GCP

The network config for GCP workspace with <Databricks> managed network.

Show child attributesHide child attributes
subnet_cidrstring

The IP range which will be used to allocate GKE cluster nodes from. Note: Pods, services and master IP range must be mutually exclusive.

gke_cluster_pod_ip_rangestring

The IP range that will be used to allocate GKE cluster Pods from.

gke_cluster_service_ip_rangestring

The IP range that will be used to allocate GKE cluster Services from.

pricing_tierstring

Values: UNKNOWN, COMMUNITY_EDITION, STANDARD, PREMIUM, ENTERPRISE, DEDICATED

private_access_settings_idstring

ID of the workspace's private access settings object. Only used for PrivateLink. You must specify this ID if you are using AWS PrivateLink for either front-end (user-to-workspace connection), back-end (data plane to control plane connection), or both connection types.

Before configuring PrivateLink, read the <Databricks> article about PrivateLink.",

managed_services_customer_managed_key_idstring

ID of the key configuration for encrypting managed services.

storage_customer_managed_key_idstring

ID of the key configuration for encrypting workspace storage.

locationstring

The Google Cloud region of the workspace data plane in your Google account (for example, us-east4).

cloudstring

The cloud name. This field can have values like azure, gcp.

networkobject

The network configuration for the workspace.

DEPRECATED. Use network_id instead.

GCP

The network configuration for the workspace.

DEPRECATED. Use network_id, and gke_config instead.

Show child attributesHide child attributes
gcp_managed_network_configobjectRequired

The mutually exclusive network deployment modes. The option decides which network mode the workspace will use. The network config for GCP workspace with <Databricks> managed network. This object is input-only and will not be provided when listing workspaces.

Show child attributesHide child attributes
subnet_cidrstring

The IP range which will be used to allocate GKE cluster nodes from. Note: Pods, services and master IP range must be mutually exclusive.

gke_cluster_pod_ip_rangestring

The IP range that will be used to allocate GKE cluster Pods from.

gke_cluster_service_ip_rangestring

The IP range that will be used to allocate GKE cluster Services from.

network_idstringRequired

The ID of the network object, if the workspace is a BYOVPC workspace. This should apply to workspaces on all clouds in internal services. In accounts-rest-api, user will use workspace.network_id for input and output instead. Currently (2021-06-19) the network ID is only used by GCP.

gcp_common_network_configobject

The shared network config for GCP workspace. This object has common network configurations that are network attributions of a workspace. This object is input-only.

Show child attributesHide child attributes
gke_connectivity_typestring

The type of network connectivity of the GKE cluster.

Values: PRIVATE_NODE_PUBLIC_MASTER, PUBLIC_NODE_PUBLIC_MASTER

gke_cluster_master_ip_rangestring

The IP range that will be used to allocate GKE cluster master resources from. This field must not be set if gke_cluster_type=PUBLIC_NODE_PUBLIC_MASTER.

azure_workspace_infoobject
Show child attributesHide child attributes
resource_groupstring

Azure Resource Group name

subscription_idstring

Azure Subscription ID

gke_configobject
GCP

The configurations of the GKE cluster used by the GCP workspace.

Show child attributesHide child attributes
connectivity_typestring

The type of network connectivity of the GKE cluster.

Values: PRIVATE_NODE_PUBLIC_MASTER, PUBLIC_NODE_PUBLIC_MASTER

master_ip_rangestring

The IP range that will be used to allocate GKE cluster master resources from. This field must not be set if gke_cluster_type=PUBLIC_NODE_PUBLIC_MASTER.

cloud_resource_containerobject
Show child attributesHide child attributes
gcpobjectRequired
GCP

The GCP cloud entities in which GCP workspaces are.

Show child attributesHide child attributes
project_idstring
GCP

The GCP project ID where the dataplane resources will be located in.

custom_tagsobject

The custom tags key-value pairing that is attached to this workspace. The key-value pair is a string of utf-8 characters. The value can be an empty string, with maximum length of 255 characters. The key can be of maximum length of 127 characters, and cannot be empty.

network_connectivity_config_idstring

The object ID of network connectivity config.

storage_modestring

The storage mode of the workspace.

Values: CUSTOMER_HOSTED, DEFAULT_STORAGE

compute_modestring

The compute mode of the workspace.

Values: HYBRID, SERVERLESS